Draft Mirror/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/es|Name=Draft Mirror|Workbenches=Draft, Arch|MenuLocation=Draft → Mirror|SeeAlso=Draft Scale}}")
(Updating to match new version of source page)
 
(29 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/es|Name=Draft Mirror|Workbenches=[[Draft Module/es|Draft]], [[Arch Module/es|Arch]]|MenuLocation=Draft → Mirror|SeeAlso=[[Draft Scale/es|Draft Scale]]}}


{{Docnav
==Description==
|[[Draft_Scale|Scale]]
This tool produces a mirrored copy of a selected object, using a [[Part Mirror]] object. The copy is parametrically bound to the original object: If the original object changes, the mirrored copy changes too, but keeps mirrored.
|[[Draft_Offset|Offset]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Scale.svg
|IconR=Draft_Offset.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Draft Mirror
|Name/es=Draft Mirror
|MenuLocation=Draft → Mirror
|Workbenches=[[Draft_Workbench/es|Draft]], [[Arch_Workbench/es|Arch]]
|SeeAlso=[[Draft Scale/es|Draft Scale]]
}}
</div>

==Description==

<div class="mw-translate-fuzzy">
== Descripción ==
Esta herramienta produce una copia duplicada de un objeto seleccionado, utilizando un objeto [[Part Mirror]]. La copia está vinculada de forma paramétrica al objeto original: si el objeto original cambia, la copia duplicada también cambia, pero se mantiene reflejada.
</div>

The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].


[[Image:Draft_Mirror_example.jpg|400px]]
[[Image:Draft_Mirror_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_Mirror_example.jpg|400px]]
</div>


==How to use==
==Usage==
# Select objects you wish to mirror
# Press the {{KEY|[[Image:Draft Mirror.png|16px]] [[Draft Mirror]]}} button
# Click the first point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click the other point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]]


See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
==Properties==

* {{PropertyData|Base}}: The base point of the mirror plane
<div class="mw-translate-fuzzy">
* {{PropertyData|Normal}}: The normal direction of the mirror plane
== Comment utiliser ==
# Sélectionnez les objets que vous souhaitez mettre en miroir
# Appuyez sur le bouton {{KEY | [[Image: Draft Mirror.png | 16px]] [[Draft Mirror]]}}.
# Cliquez sur le premier point de la ligne miroir sur la vue 3D ou tapez une coordonnée
# Cliquez sur l'autre point de la ligne miroir de la vue 3D ou tapez une coordonnée
</div>


==Options==
==Options==

* After the creation of the mirror, its binding with the original object can be removed using the [[Part_CreateSimpleCopy|Part Create Simple Copy]] tool.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
* The mirror of a Draft object can also be turned into a Draft Wire, using [[Draft Downgrade]] then [[Draft Upgrade]].

<div class="mw-translate-fuzzy">
== Opciones ==
* Después de la creación del espejo, su enlace con el objeto original se puede eliminar con la herramienta [[Part_SimpleCopy | Part Simple Copy]].
* El espejo de un objeto Draft también se puede convertir en un Draft Wire, usando [[Draft Downgrade]] luego [[Draft Upgrade]].
</div>

==Notes==

* Mirrored copies of [[Draft_Line|Draft Lines]], [[Draft_Wire|Draft Wires]], [[Draft_Arc|Draft Arcs]] and [[Draft_Circle|Draft Circles]] can be turned into independent editable Draft objects by using [[Draft_Downgrade|Draft Downgrade]] and then [[Draft_Upgrade|Draft Upgrade]].
* The [[Part_SimpleCopy|Part SimpleCopy]] command can be used to create a copy of a mirrored object that is not linked to its source object.

==Properties==

See also: [[property_editor|Property editor]].

A [[Part_Mirror|Part Mirror]] object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Base}}

* {{PropertyData|Source|Link}}: specifies the object that is mirrored.

{{TitleProperty|Plane}}

<div class="mw-translate-fuzzy">
== Propiedades ==
* {{PropertyData | Base}}: El punto base del plano espejo
* {{PropertyData | Normal}}: la dirección normal del plano reflejado
</div>


==Scripting==
==Scripting==

The Clone tool can by used in [[macros]] and from the python console by using the following function:
<div class="mw-translate-fuzzy">
==Programación==
La herramienta de clonación se puede usar en [[macros]] y desde la consola de python usando la siguiente función:
</div>

To mirror objects use the {{incode|mirror}} method of the Draft module.


{{Code|code=
{{Code|code=
mirror (objectslist,p1,p2)
mirrored_list = mirror(objlist, p1, p2)
}}
}}


<div class="mw-translate-fuzzy">
* Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
* Hace espejo (s) del objeto (s) dado a través de un plano definido por una línea de p1 a p2, y paralelo a la vista actual
* The result is a [[Part Mirror]] object
* El resultado es un objeto [[Part Mirror]]
* If the original object changes, the final object changes too but keeps mirrored
* Si el objeto original cambia, el objeto final también cambia pero se mantiene reflejado
</div>

Ejemplo:


Example:
{{Code|code=
{{Code|code=
import Draft,FeeCAD
import FreeCAD as App
import Draft
p1 = FreeCAD.Vector(0,0,0)

p2 = FreeCAD.Vector(2,2,0)
doc = App.newDocument()
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2)

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()
}}


{{Docnav
|[[Draft_Scale|Scale]]
|[[Draft_Offset|Offset]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Scale.svg
|IconR=Draft_Offset.svg
|IconC=Workbench_Draft.svg
}}
}}


{{Draft Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 05:01, 9 January 2024

Draft Mirror

Ubicación en el Menú
Draft → Mirror
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Draft Scale

Description

Descripción

Esta herramienta produce una copia duplicada de un objeto seleccionado, utilizando un objeto Part Mirror. La copia está vinculada de forma paramétrica al objeto original: si el objeto original cambia, la copia duplicada también cambia, pero se mantiene reflejada.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Usage

See also: Draft Snap and Draft Constrain.

Comment utiliser

  1. Sélectionnez les objets que vous souhaitez mettre en miroir
  2. Appuyez sur le bouton Draft Mirror.
  3. Cliquez sur le premier point de la ligne miroir sur la vue 3D ou tapez une coordonnée
  4. Cliquez sur l'autre point de la ligne miroir de la vue 3D ou tapez une coordonnée

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opciones

  • Después de la creación del espejo, su enlace con el objeto original se puede eliminar con la herramienta Part Simple Copy.
  • El espejo de un objeto Draft también se puede convertir en un Draft Wire, usando Draft Downgrade luego Draft Upgrade.

Notes

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DatosSource (Link): specifies the object that is mirrored.

Plane

Propiedades

  • Datos Base: El punto base del plano espejo
  • Datos Normal: la dirección normal del plano reflejado

Scripting

Programación

La herramienta de clonación se puede usar en macros y desde la consola de python usando la siguiente función:

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • Hace espejo (s) del objeto (s) dado a través de un plano definido por una línea de p1 a p2, y paralelo a la vista actual
  • El resultado es un objeto Part Mirror
  • Si el objeto original cambia, el objeto final también cambia pero se mantiene reflejado

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()